Skip to content

Gateway ​

40 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
uploadIspFilePOSTUpload isp upgrade file
deleteIspFileDELETEDelete isp file
getSpecifiedGatewayInfosGETGet global gateways wan status
changeIpv6StatePOSTModify IPv6 state
ispUpgradePOSTUpgrade isp
moveToSite_1POSTMove devices to another site
getClientDhcpLeaseTimesPOSTGet gateway dhcp client lease time
getGatewayInfo_1GETGet gateway info
changeOduModePOSTChange mode for 5G-Outdoor
modifyConfigAdvancedPUTModify gateway advanced config
modifyConfigCommonAdvancedPUTModify gateway advanced common config
modifyConfigWirelessAdvancedPUTModify gateway advanced wireless config
modifyConfigGeneralPUTModify gateway general config v2
modifyConfigRadiosPUTModify gateway radios config
modifyConfigServicesPUTModify gateway config service
modifySshSettingByMacPUTModify SSH setting by mac
modifyConfigWlansPUTModify gateway wlans config
getSsidDetail_1GETGet SSID detail info
modifySsidBasicConfigPATCHmodify SSID basic config
modifySsidMacFilterConfigPATCHUpdate SSID mac filter config
getGridDhcpUserList_1GETGet gateway dhcp user list
getGeneralConfig_1GETGet gateway general config
modifyGeneralConfig_1PATCHModify gateway general config (deprecated)
changeInternetStatePOSTChange Internet State
getLanStatusGETGet gateway lan status
batchModifyPortConfigPATCHBatch modify gateway port config
getIpptLanIpv6GETGet lan ipv6 config for ippt
modifyIpptLanIpv6PATCHModify lan ipv6 config for ippt
getPinSettingGETGet PIN setting
changePinSettingPUTModify PIN management information of an LTE model
getPortsGETGet gateway ports
modifyPortConfig_1PATCHModify gateway port config
recoveryPoePortPOSTRecovery gateway poe port
getSimCardUsedGETGet SIM card used
getWanStatusGETGet gateway wan status
getEnableWanDetailGETGet enable wan port detail
mspMoveToCustomer_2POSTMove site to target customer
modifyOsgConfigForMspPATCHModify gateway config for msp
changeOduModeForMspPOSTChange mode for 5G-Outdoor for msp
modifyOsgConfigGeneralForMspPUTModify general gateway config for msp

uploadIspFile ​

POST /openapi/v1/{omadacId}/files/sites/{siteId}/gateways/{gatewayMac}/isp-upgrade

Upload isp upgrade file

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (optional)

FieldTypeRequiredDescription
filestring (binary)yes
json
// omada_call_operation
{
  "operationId": "uploadIspFile",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Upload isp upgrade file
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-44302 - Failed to upload. Please upload the file that is no more than 512 KB.

deleteIspFile ​

DELETE /openapi/v1/{omadacId}/files/sites/{siteId}/gateways/{gatewayMac}/isp-upgrade/{fileId}

Delete isp file

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF
fileIdpathstringyesfileId
json
// omada_call_operation
{
  "operationId": "deleteIspFile",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>",
    "fileId": "<fileId>"
  }
}
Details, permissions and error codes

Delete isp file
The interface requires one of the permissions:
Site Device Manager Modify

getSpecifiedGatewayInfos ​

GET /openapi/v1/{omadacId}/global/gateways/wan-status

Get global gateways wan status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getSpecifiedGatewayInfos"
}
Details, permissions and error codes

Get global gateways wan status
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-7131 - Controller ID not exist.

changeIpv6State ​

POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/gateways/{gatewayMac}/ipv6State

Modify IPv6 state

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ModifyIpv6State

FieldTypeRequiredDescription
portIdintegeryesPort ID
operationintegeryesOperation
json
// omada_call_operation
{
  "operationId": "changeIpv6State",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify IPv6 state
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39505 - Failed to change the state of the internet connection for the WAN port of the gateway.

ispUpgrade ​

POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/gateways/{gatewayMac}/isp-upgrade

Upgrade isp

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema GatewayIspUpgrade

FieldTypeRequiredDescription
fileIdstringnoFile Id
json
// omada_call_operation
{
  "operationId": "ispUpgrade",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Upgrade isp
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-44301 - Failed to get any response from the gateway.
-44303 - Failed to upgrade isp file.
-44304 - Cannot perform the operation because file has exceeded the maximum cache time (5 min).
-44305 - Do not make any configuration changes until the device is stably connected.
-44306 - ISP file is too old.
-44307 - Failed to upload the ISP file. Please select the correct file and try again.

moveToSite_1 ​

POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/gateways/move

Move devices to another site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema MoveToSite

FieldTypeRequiredDescription
deviceMacsarray<string>noDevice mac list
stackIdsarray<string>noStack id list
sitestringyesTarget site key
json
// omada_call_operation
{
  "operationId": "moveToSite_1",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Move devices to another site
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-44261 - The device does not support cluster and can only be adopted to its own site.

getClientDhcpLeaseTimes ​

POST /openapi/v1/{omadacId}/sites/{siteId}/dhcp-lease-time

Get gateway dhcp client lease time

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema QueryDhcpLeaseTimeVO

FieldTypeRequiredDescription
queryDhcpLeaseTimeParamVOSarray<QueryDhcpLeaseTimeParamVO>yes
json
// omada_call_operation
{
  "operationId": "getClientDhcpLeaseTimes",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get gateway dhcp client lease time.
The interface requires one of the permissions:
Site Device Manager View Only
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-35927 - The current gateway does not support obtaining the DHCP Client List.

getGatewayInfo_1 ​

GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}

Get gateway info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getGatewayInfo_1",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  }
}
Details, permissions and error codes

Get gateway info
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-39507 - Gateway mirroring port reaches max limit.
-39706 - Please choose at least one port or LAG to be mirrored.
-39718 - Mirrored ports contain invalid port.

changeOduMode ​

POST /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/change-mode

Change mode for 5G-Outdoor

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ChangeOduModeVO

FieldTypeRequiredDescription
ipptbooleannoCurrent device mode: Ip Pass-through or not.
json
// omada_call_operation
{
  "operationId": "changeOduMode",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Change mode for 5G-Outdoor
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.

modifyConfigAdvanced ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/config/advanced

Modify gateway advanced config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema OsgConfigAdvancedOpenApiVO

FieldTypeRequiredDescription
hwOffloadEnablebooleannoHardware Offload enabled or not.
lldpEnablebooleannoLLDP enabled or not. Deprecated, filed lldpSetting is recommended
lldpSettingintegernoLLDP setting. 0: Off, 1: On, 2: Follow site.
poeSettingsarray<OsgPortPoeOpenApiVO>noPort Poe setting list.
echoServerstringnoEcho Server should be a domain name or IP address.
lbSetting2gApLoadBalanceOpenApiVOno(ApLoadBalanceOpenApiVO not expanded; call omada_get_schema "ApLoadBalanceOpenApiVO")
lbSetting5gApLoadBalanceOpenApiVOno(ApLoadBalanceOpenApiVO not expanded; call omada_get_schema "ApLoadBalanceOpenApiVO")
lbSetting5g1ApLoadBalanceOpenApiVOno(ApLoadBalanceOpenApiVO not expanded; call omada_get_schema "ApLoadBalanceOpenApiVO")
lbSetting5g2ApLoadBalanceOpenApiVOno(ApLoadBalanceOpenApiVO not expanded; call omada_get_schema "ApLoadBalanceOpenApiVO")
lbSetting6gApLoadBalanceOpenApiVOno(ApLoadBalanceOpenApiVO not expanded; call omada_get_schema "ApLoadBalanceOpenApiVO")
rssiSetting2gApRssiThresholdOpenApiVOno(ApRssiThresholdOpenApiVO not expanded; call omada_get_schema "ApRssiThresholdOpenApiVO")
rssiSetting5gApRssiThresholdOpenApiVOno(ApRssiThresholdOpenApiVO not expanded; call omada_get_schema "ApRssiThresholdOpenApiVO")
rssiSetting5g1ApRssiThresholdOpenApiVOno(ApRssiThresholdOpenApiVO not expanded; call omada_get_schema "ApRssiThresholdOpenApiVO")
rssiSetting5g2ApRssiThresholdOpenApiVOno(ApRssiThresholdOpenApiVO not expanded; call omada_get_schema "ApRssiThresholdOpenApiVO")
rssiSetting6gApRssiThresholdOpenApiVOno(ApRssiThresholdOpenApiVO not expanded; call omada_get_schema "ApRssiThresholdOpenApiVO")
qosSetting2gApQosOpenApiVOno(ApQosOpenApiVO not expanded; call omada_get_schema "ApQosOpenApiVO")
qosSetting5gApQosOpenApiVOno(ApQosOpenApiVO not expanded; call omada_get_schema "ApQosOpenApiVO")
qosSetting5g1ApQosOpenApiVOno(ApQosOpenApiVO not expanded; call omada_get_schema "ApQosOpenApiVO")
qosSetting5g2ApQosOpenApiVOno(ApQosOpenApiVO not expanded; call omada_get_schema "ApQosOpenApiVO")
qosSetting6gApQosOpenApiVOno(ApQosOpenApiVO not expanded; call omada_get_schema "ApQosOpenApiVO")
ofdmaEnable2gbooleannoEnable or disable OFDMA of 2.4 GHz.
ofdmaEnable5gbooleannoEnable or disable OFDMA of 5 GHz.
ofdmaEnable5g1booleannoEnable or disable OFDMA of 5 GHz-1.
ofdmaEnable5g2booleannoEnable or disable OFDMA of 5 GHz-2.
ofdmaEnable6gbooleannoEnable or disable OFDMA of 6 GHz.
json
// omada_call_operation
{
  "operationId": "modifyConfigAdvanced",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify gateway advanced config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.

modifyConfigCommonAdvanced ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/config/advanced/common

Modify gateway advanced common config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema OsgConfigCommonAdvancedOpenApiVO

FieldTypeRequiredDescription
hwOffloadEnablebooleanno
lldpEnablebooleannoDeprecated, filed lldpSetting is recommended
lldpSettingintegerno
poeSettingsarray<OsgPortPoeVO>no
echoServerstringno
json
// omada_call_operation
{
  "operationId": "modifyConfigCommonAdvanced",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify gateway advanced common config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.

modifyConfigWirelessAdvanced ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/config/advanced/wireless

Modify gateway advanced wireless config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema OsgConfigWirelessAdvancedOpenApiVO

FieldTypeRequiredDescription
lbSetting2gApLoadBalanceVOno(ApLoadBalanceVO not expanded; call omada_get_schema "ApLoadBalanceVO")
lbSetting5gApLoadBalanceVOno(ApLoadBalanceVO not expanded; call omada_get_schema "ApLoadBalanceVO")
lbSetting5g1ApLoadBalanceVOno(ApLoadBalanceVO not expanded; call omada_get_schema "ApLoadBalanceVO")
lbSetting5g2ApLoadBalanceVOno(ApLoadBalanceVO not expanded; call omada_get_schema "ApLoadBalanceVO")
lbSetting6gApLoadBalanceVOno(ApLoadBalanceVO not expanded; call omada_get_schema "ApLoadBalanceVO")
rssiSetting2gApRssiThresholdVOno(ApRssiThresholdVO not expanded; call omada_get_schema "ApRssiThresholdVO")
rssiSetting5gApRssiThresholdVOno(ApRssiThresholdVO not expanded; call omada_get_schema "ApRssiThresholdVO")
rssiSetting5g1ApRssiThresholdVOno(ApRssiThresholdVO not expanded; call omada_get_schema "ApRssiThresholdVO")
rssiSetting5g2ApRssiThresholdVOno(ApRssiThresholdVO not expanded; call omada_get_schema "ApRssiThresholdVO")
rssiSetting6gApRssiThresholdVOno(ApRssiThresholdVO not expanded; call omada_get_schema "ApRssiThresholdVO")
qosSetting2gApQosVOno(ApQosVO not expanded; call omada_get_schema "ApQosVO")
qosSetting5gApQosVOno(ApQosVO not expanded; call omada_get_schema "ApQosVO")
qosSetting5g1ApQosVOno(ApQosVO not expanded; call omada_get_schema "ApQosVO")
qosSetting5g2ApQosVOno(ApQosVO not expanded; call omada_get_schema "ApQosVO")
qosSetting6gApQosVOno(ApQosVO not expanded; call omada_get_schema "ApQosVO")
ofdmaEnable2gbooleanno
ofdmaEnable5gbooleanno
ofdmaEnable5g1booleanno
ofdmaEnable5g2booleanno
ofdmaEnable6gbooleanno
json
// omada_call_operation
{
  "operationId": "modifyConfigWirelessAdvanced",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify gateway advanced wireless config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.

modifyConfigGeneral ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/config/general

Modify gateway general config v2

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema GatewayGeneralConfig

FieldTypeRequiredDescription
namestringnoDevice name should contain 1 to 128 characters.
ledSettingintegeryesLed setting should be a value as follows: 0:off; 1:on; 2:Use Site Settings
tagIdsarray<string>noTag IDs
locationDeviceLocationDetailVOno(DeviceLocationDetailVO not expanded; call omada_get_schema "DeviceLocationDetailVO")
snmpOsgSnmpOpenApiVOno(OsgSnmpOpenApiVO not expanded; call omada_get_schema "OsgSnmpOpenApiVO")
rememberDeviceintegerno
json
// omada_call_operation
{
  "operationId": "modifyConfigGeneral",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify gateway general config v2
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39093 - The length of the device name exceeds the limit.
-39501 - This gateway does not exist.

modifyConfigRadios ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/config/radios

Modify gateway radios config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema OsgConfigRadiosopenApiVO

FieldTypeRequiredDescription
radioSetting2gApRadioSettingopenApiVOno(ApRadioSettingopenApiVO not expanded; call omada_get_schema "ApRadioSettingopenApiVO")
radioSetting5gApRadioSettingopenApiVOno(ApRadioSettingopenApiVO not expanded; call omada_get_schema "ApRadioSettingopenApiVO")
radioSetting5g1ApRadioSettingopenApiVOno(ApRadioSettingopenApiVO not expanded; call omada_get_schema "ApRadioSettingopenApiVO")
radioSetting5g2ApRadioSettingopenApiVOno(ApRadioSettingopenApiVO not expanded; call omada_get_schema "ApRadioSettingopenApiVO")
radioSetting6gApRadioSettingopenApiVOno(ApRadioSettingopenApiVO not expanded; call omada_get_schema "ApRadioSettingopenApiVO")
json
// omada_call_operation
{
  "operationId": "modifyConfigRadios",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify gateway radios config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39093 - The length of the device name exceeds the limit.
-39501 - This gateway does not exist.
-44405 - The configuration has been overridden.

modifyConfigServices ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/config/services

Modify gateway config service

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema OsgConfigServicesOpenApiVO

FieldTypeRequiredDescription
snmpOsgSnmpOpenApiVOno(OsgSnmpOpenApiVO not expanded; call omada_get_schema "OsgSnmpOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifyConfigServices",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify gateway config service
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.

modifySshSettingByMac ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/config/services/ssh

Modify SSH setting by mac

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema SSHSetting

FieldTypeRequiredDescription
sshEnablebooleanyesWhether to enable SSH
sshServerPortintegernoSSH server port should be 22 or within the range of 1025-65535.
layer3AccessbooleannoWhether to enable layer 3 accessibility
json
// omada_call_operation
{
  "operationId": "modifySshSettingByMac",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify SSH setting by mac
The interface requires one of the permissions:
Site Settings Manager Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.

modifyConfigWlans ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/config/wlans

Modify gateway wlans config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema OsgConfigWlansOpenApiVO

FieldTypeRequiredDescription
wlanIdstringnoWLAN ID
ssidOverridesarray<OsgSsidOverrideOpenApiVO>yesOverrided SSID List
wlansResourceintegernoWlans Resource
json
// omada_call_operation
{
  "operationId": "modifyConfigWlans",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify gateway wlans config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33221 - The SSID to be edited does not exist.
-33222 - The SSID should contain 1-32 characters.
-33223 - The security key can only contain 8-63 printable ASCII characters or 8-63 hexadecimal digits.
-33231 - The ssid' s name should not be the same with emergency ssid.
-33242 - This SSID VLAN ID cannot be same as the exist default LanNetwork profile.
-33807 - Invalid VLAN ID. Enter a number from 1 to 4094.
-39093 - The length of the device name exceeds the limit.
-39306 - This WLAN group does not exist.
-39307 - Failed to add this AP to the WLAN group because this AP is not in the site of the WLAN group.
-39350 - The SSID of the AP group is used in Gateway ACL. Please delete the related ACL rule first.
-39501 - This gateway does not exist.
-44405 - The configuration has been overridden.

getSsidDetail_1 ​

GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/config/wlans/ssid

Get SSID detail info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getSsidDetail_1",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  }
}
Details, permissions and error codes

Get SSID detail info
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-39501 - This gateway does not exist.

modifySsidBasicConfig ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/config/wlans/ssid/{ssidId}/basic-config

modify SSID basic config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF
ssidIdpathstringyesSSID ID

Request body — application/json (required) — schema UpdateSsidBasicConfigForIpptOpenApiVO

FieldTypeRequiredDescription
namestringyesSSID name. It should contain 1 to 32 UTF-8 characters.
bandintegeryesSSID band. The lowest bit indicates whether 2.4G is included; the second lowest bit indicates whether 5G is included; the third lowest bit indicates whether 6G is included; 1 means included while 0 means not included. For example, 7(111) means that 2G/5G/6G are enabled; 1(001) means that 2G is enabled. (When 5G is included,it means 5G/5G1/5G2 are enabled.)
autoWanAccessbooleannoWhether to enable auto wan access. True: enable, false: disable.
securityintegeryesSSID security mode; Security should be a value as follows: 0: None; 2: WPA-Enterprise; 3: WPA-Personal; 4: PPSK without RADIUS; 5: PPSK with RADIUS.
oweEnablebooleannoOpportunistic Wireless Encryption, also known as Enhanced Open, is a certification provided by the Wi-Fi Alliance as part of the WPA3 wireless security standard. OWE will enable two wireless VAPs per radio, one for access of OWE-supported stations, and one for access of other stations. An SSID with OWE enabled will be counted as two SSID entries for 2G and 5G. Only for security is None and band contains 2.4G or 5G.
broadcastbooleanyesSSID broadcast config status. True: enable, false: disable.
pskSettingSsidPskSettingForIpptOpenApiVOno(SsidPskSettingForIpptOpenApiVO not expanded; call omada_get_schema "SsidPskSettingForIpptOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifySsidBasicConfig",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

modify SSID basic config
The interface requires one of the permissions:
Site Settings Manager Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33217 - Invalid SSID security mode.
-33219 - This SSID already exists.
-33220 - Enter a different SSID to override the current SSID.
-33231 - The ssid' s name should not be the same with emergency ssid.
-33235 - PPSK without RADIUS do not support WPA Mode with WPA3-SAE.
-33238 - The number of SSIDs on %band% has reached the limit. At most 8 SSIDs can be created on each band.
-33240 - The SSID name should be between 1 and 32 bytes.

modifySsidMacFilterConfig ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/config/wlans/ssid/{ssidId}/mac-filter

Update SSID mac filter config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF
ssidIdpathstringyesSSID ID

Request body — application/json (required) — schema UpdateSsidMacFilterOpenApiVO

FieldTypeRequiredDescription
macFilterEnablebooleanyesSSID MAC Filter global config status. True: enable, false: disable.
policyintegernoSSID MAC Filter policy config mode; It should be a value as follows: 0: Deny List, 1: Allow List.
macFilterIdstringnoThis field represents MAC Group Profile ID. MAC Group Profile can be created using Create a new group profile interface, and MAC Group Profile ID can be obtained from Get group profile list by type interface.
ouiProfileIdListarray<string>noThis field represents OUI Profile ID list. OUI Profile can be created using Create OUI profile interface, and OUI Profile ID can be obtained from Get OUI profile summary list interface(This configuration applies to the Pro Site of the Omada Pro Controller only).
json
// omada_call_operation
{
  "operationId": "modifySsidMacFilterConfig",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update SSID MAC filter config
The interface requires one of the permissions:
Site Settings Manager Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

getGridDhcpUserList_1 ​

GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/dhcp/user-list

Get gateway dhcp user list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridDhcpUserList_1",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  }
}
Details, permissions and error codes

Get gateway dhcp user list.
The interface requires one of the permissions:
Site Device Manager View Only
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35912 - Fail to obtain DHCP Client List.
-35927 - The current gateway does not support obtaining the DHCP Client List.

getGeneralConfig_1 ​

GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/general-config

Get gateway general config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getGeneralConfig_1",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  }
}
Details, permissions and error codes

Get gateway general config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.

modifyGeneralConfig_1 ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/general-config

Deprecated

This operation is deprecated.

Modify gateway general config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema GatewayGeneralConfig

FieldTypeRequiredDescription
namestringnoDevice name should contain 1 to 128 characters.
ledSettingintegeryesLed setting should be a value as follows: 0:off; 1:on; 2:Use Site Settings
tagIdsarray<string>noTag IDs
locationDeviceLocationDetailVOno(DeviceLocationDetailVO not expanded; call omada_get_schema "DeviceLocationDetailVO")
snmpOsgSnmpOpenApiVOno(OsgSnmpOpenApiVO not expanded; call omada_get_schema "OsgSnmpOpenApiVO")
rememberDeviceintegerno
json
// omada_call_operation
{
  "operationId": "modifyGeneralConfig_1",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify gateway general config. This interface has been deprecated. Please use the following interface instead: Modify gateway general config v2.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.

changeInternetState ​

POST /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/internet-state

Change Internet State

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ChangeInternetStateOpenApiVO

FieldTypeRequiredDescription
portIdintegernoport ID
operationintegernooperation, 1 for open, and 0 for close
virtualWanIdstringnoIf operating virtualWan, should give virtualWanId
json
// omada_call_operation
{
  "operationId": "changeInternetState",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

change internet state
The interface requires one of the permissions:
Site Device Manager Modify

getLanStatus ​

GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/lan-status

Get gateway lan status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getLanStatus",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  }
}
Details, permissions and error codes

Get gateway lan status
The interface requires one of the permissions:
Global Dashboard Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.

batchModifyPortConfig ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/multi-ports/config

Batch modify gateway port config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema gateway ports config entity

FieldTypeRequiredDescription
portsConfigarray<GatewayPortConfig>nogateway port config entity
json
// omada_call_operation
{
  "operationId": "batchModifyPortConfig",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch modify gateway port config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-39507 - Gateway mirroring port reaches max limit.
-39706 - Please choose at least one port or LAG to be mirrored.
-39718 - Mirrored ports contain invalid port.

getIpptLanIpv6 ​

GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/network/ipv6

Get lan ipv6 config for ippt

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getIpptLanIpv6",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  }
}
Details, permissions and error codes

Get lan ipv6 config for ippt
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.

modifyIpptLanIpv6 ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/network/ipv6

Modify lan ipv6 config for ippt

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema Ipv6ForIpptOpenApiVO

FieldTypeRequiredDescription
enablebooleanyesIs Lan ipv6 for Ip Pass-through enable.
json
// omada_call_operation
{
  "operationId": "modifyIpptLanIpv6",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify lan ipv6 config for ippt
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.

getPinSetting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/pin

Get PIN setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getPinSetting",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  }
}
Details, permissions and error codes

Get PIN setting.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-44300 - The gateway does not support pin management.
-44301 - Failed to get any response from the gateway.
-44305 - Do not make any configuration changes until the device is stably connected.

changePinSetting ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/pin

Modify PIN management information of an LTE model

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema OsgLtePinOpenApiVO

FieldTypeRequiredDescription
typeintegernoType of change: 1: Changing the PIN setting, 2: Changing the PIN code.
firstTrybooleannoWhether the first attempt was successful.
pinCodestringnoPIN code.
pukCodestringnoPUK code.
newPinCodestringnoNew PIN code
pinSettingOsgLtePinSettingOpenApiVOno(OsgLtePinSettingOpenApiVO not expanded; call omada_get_schema "OsgLtePinSettingOpenApiVO")
simCardintegernoWhen the device supports Dual-SIM card, parameter [simCard] should not be null.1: SIM1; 2: SIM2.
json
// omada_call_operation
{
  "operationId": "changePinSetting",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify PIN management information of an LTE model.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35411 - The gateway does not support Dual-SIM standby.
-44301 - Failed to get any response from the gateway.
-44305 - Do not make any configuration changes until the device is stably connected.
-44308 - Filed to change sim pin setting, please check your sim card status

getPorts ​

GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/ports

Get gateway ports

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getPorts",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  }
}
Details, permissions and error codes

Get gateway ports
The interface requires one of the permissions:
Site Device Manager View Only
Site Statics Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.

modifyPortConfig_1 ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/ports/{port}/config

Modify gateway port config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF
portpathstringyesGateway port number

Request body — application/json (required) — schema GatewayPortSettingConfig

FieldTypeRequiredDescription
linkSpeedintegernoPort link speed should be a value as follows: 0: Auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2500M; 5: 10G; 6: 5G
duplexintegernoPort duplex mode should be a value as follows: 0: Auto; 1: Half; 2: Full
mirrorEnablebooleannoPort enabled mirror or not
mirroredPortsarray<integer>noMirrored Ports Set
mirrorModeintegernoPort mirror mode should be a value as follow: 0: ingress; 1: egress; 2: ingress and egress.
pvidintegernoPvid(only for lan port.)
flowControlbooleannoEnable flow control or not.(When the port supports flow control.)
statusintegernoEnable port or not, status should be a value as follows: 0: disable; 1: enable.(When the port supports status.)
poeModeintegernoEnter a value as follows: 0: off; 1: 802.3at/af.
dslSettingsDslSettingsno(DslSettings not expanded; call omada_get_schema "DslSettings")
tagSetarray<string>noTag ID Set
json
// omada_call_operation
{
  "operationId": "modifyPortConfig_1",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>",
    "port": "<port>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify gateway port config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-39507 - Gateway mirroring port reaches max limit.
-39706 - Please choose at least one port or LAG to be mirrored.
-39718 - Mirrored ports contain invalid port.

recoveryPoePort ​

POST /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/ports/{port}/restart

Recovery gateway poe port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF
portpathstringyesGateway port number
json
// omada_call_operation
{
  "operationId": "recoveryPoePort",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>",
    "port": "<port>"
  }
}
Details, permissions and error codes

Recovery gateway poe port
The interface requires one of the permissions:
Site Device Manager Modify
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-39508 - The current gateway model or firmware version does not support poe restart.

getSimCardUsed ​

GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/simCardUsed

Get SIM card used

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getSimCardUsed",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  }
}
Details, permissions and error codes

Get SIM card used
The interface requires one of the permissions:
Site Device Manager View Only

getWanStatus ​

GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/wan-status

Get gateway wan status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getWanStatus",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  }
}
Details, permissions and error codes

Get gateway wan status
The interface requires one of the permissions:
Global Dashboard Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.

getEnableWanDetail ​

GET /openapi/v1/{omadacId}/sites/{siteId}/health/gateways/{gatewayMac}/wans/details

Get enable wan port detail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getEnableWanDetail",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  }
}
Details, permissions and error codes

Get enable wan port detail
The interface requires one of the permissions:
Site Device Manager View Only
Incidents Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.

mspMoveToCustomer_2 ​

POST /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/cmd/gateways/move

Move site to target customer

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyesCustomer ID
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema MoveToCustomerOpenApiVO

FieldTypeRequiredDescription
deviceMacsarray<string>noMac adress of the device.
deviceMacstringnoMac adress of the device. If [deviceMac] is not empty, it takes effect with a higher priority than [deviceMacs].
customerstringyesTarget customer id.
sitestringyesTarget site id.
json
// omada_call_operation
{
  "operationId": "mspMoveToCustomer_2",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Move site to target customer
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33421 - The gateway model in the target site is different from the gateway model configured in the WAN Settings Overrides in the original site.
-39034 - Failed to move this site because the devices are upgrading.
-39035 - Failed to move this site because the devices are rebooting.
-39036 - Failed to move this site because the devices are synchronizing configurations.
-39037 - Failed to move this site because the devices are provisioning.
-39050 - This device does not exist.
-39502 - Failed to move the gateway. The target site already has a gateway.
-44261 - The device does not support cluster and can only be adopted to its own site.

modifyOsgConfigForMsp ​

PATCH /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/gateways/{gatewayMac}

Modify gateway config for msp

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyesCustomer ID
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema GatewayOsgMspConfig

FieldTypeRequiredDescription
namestringnoDevice name should contain 1 to 128 characters.
json
// omada_call_operation
{
  "operationId": "modifyOsgConfigForMsp",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify gateway config for msp
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.

changeOduModeForMsp ​

POST /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/gateways/{gatewayMac}/change-mode

Change mode for 5G-Outdoor for msp

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyesCustomer ID
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ChangeOduModeVO

FieldTypeRequiredDescription
ipptbooleannoCurrent device mode: Ip Pass-through or not.
json
// omada_call_operation
{
  "operationId": "changeOduModeForMsp",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Change mode for 5G-Outdoor for msp.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.

modifyOsgConfigGeneralForMsp ​

PUT /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/gateways/{gatewayMac}/config/general

Modify general gateway config for msp

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyesCustomer ID
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema GatewayMspConfigGeneral

FieldTypeRequiredDescription
namestringnoDevice name should contain 1 to 128 characters.
json
// omada_call_operation
{
  "operationId": "modifyOsgConfigGeneralForMsp",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify general gateway config for msp
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.